---
- name: Prepare for install mode 'root'
  ansible.builtin.include_vars: root_install.yml
  when: k8s_tools_install_mode_root

- name: Prepare for install mode 'user'
  ansible.builtin.set_fact:
    k8s_install_basedir: "{{ lookup('env','HOME') }}/bin"
    k8s_tarball_cache: "{{ lookup('env','HOME') }}/.cache/k8s_tool_tarballs"
  when: not k8s_tools_install_mode_root

- name: Create tarball cache directory
  ansible.builtin.file:
    path: "{{ k8s_tarball_cache }}"
    state: directory
    mode: "0755"

- name: Ensure installation directory exists
  ansible.builtin.file:
    path: "{{ k8s_install_basedir }}"
    state: directory
    mode: "0755"

- name: Install required dependencies
  ansible.builtin.include_tasks: dependencies.yml

- name: Install kubernetes tools
  ansible.builtin.include_tasks: "install_{{ item }}.yml"
  loop: "{{ k8s_tools }}"

- name: Install jupysites management program
  ansible.builtin.pip:
    name: jupysites
    extra_args: "--index-url https://gitlab.ethz.ch/api/v4/projects/39019/packages/pypi/simple"
